// Beam_lv1_Fire.frag
// put Beam_lv1_Fire.png in same folder/directory

uniform sampler2D tex;
uniform float time;

varying vec2  texCoord;

vec3 MainColor = vec3(0.0, 1.0, 0.0);

void main (void)
{
	gl_FragColor = texture(tex, texCoord);
	gl_FragColor.rgb *= MainColor*8.0;
	gl_FragColor.a   *= length(gl_FragColor.rgb);
//	if(gl_FragColor.a <= 0.0) discard;
	gl_FragColor.a   *= (1.0-time);
	if(gl_FragColor.a <= 0.0) discard;
}
